×

Discussion Board

Results 1 to 8 of 8
  1. #1
    Regular Contributor
    Join Date
    Feb 2009
    Location
    India
    Posts
    123

    "Unable to install" problem on N8

    hi,

    I am using this project:
    http://gitorious.org/qfacebookconnect

    and building it i get lib and dll which i am using in my project ,, it works fine on simulator and i have successfully created sis file for it but when i install it on device (N8) it gives me Error "Unable to install".

    Why is this problem occuring can any one guid me on this issue.
    My .pro file is like below:

    Code:
    .
    
    #-------------------------------------------------
    #
    # Project created by QtCreator 2011-02-08T10:57:17
    #
    #-------------------------------------------------
    
    QT       += core gui network webkit xml
    
    TARGET = FB
    TEMPLATE = app
    DESTDIR = ../debug
    
    
    SOURCES += main.cpp\
            Fb.cpp
    
    HEADERS  += Fb.h
    
    FORMS    += Fb.ui
    
    INCLUDEPATH = ../inc/
    win32:LIBS += ../debug/libqfacebookconnect.a
    
    #CONFIG += mobility
    #MOBILITY =
    
    symbian {
        TARGET.UID3 = 0xe3bcb568
        TARGET.CAPABILITY += NetworkServices ReadUserData WriteUserData UserEnvironment LocalServices  ReadDeviceData WriteDeviceData
        TARGET.EPOCSTACKSIZE = 0x14000
        TARGET.EPOCHEAPSIZE = 0x020000 0x800000
        INCLUDEPATH += /epoc32/include/stdapis # this seems to be a bug.
        LIBS += -lqfacebookconnect
    
        libqfacebookconnect.sources = qfacebookconnect.dll
        libqfacebookconnect.path  = \sys\bin
        DEPLOYMENT += libqfacebookconnect
    }
    Thanks with Regards,
    vishalrocks101

  2. #2
    Nokia Developer Moderator
    Join Date
    Mar 2003
    Location
    Lempäälä/Finland
    Posts
    29,165

    Re: "Unable to install" problem on N8

    are you using a developer certificate ? the capabilities ReadDeviceData WriteDeviceData can not be used with self-signed certificate.

  3. #3
    Regular Contributor
    Join Date
    Feb 2009
    Location
    India
    Posts
    123

    Re: "Unable to install" problem on N8

    hi,

    Thanks for reply,, actully previously i was using only NetworkServices but then also it was showing me same problem, so i added these capabilities.I will remove them now,but i dont think it will solve this issue,and i am opensigning the application.

    below is pro file of qfacebookconnect.


    # -------------------------------------------------
    # Project created by QtCreator 2009-11-10T18:31:00
    # -------------------------------------------------
    QT += network \
    webkit \
    xml
    TARGET = qfacebookconnect

    TEMPLATE = lib
    DESTDIR = ./debug
    DEFINES += QFACEBOOKCONNECT_LIBRARY
    INCLUDEPATH = inc/
    SOURCES += src/fbsession.cpp
    SOURCES += src/fbrequest.cpp
    SOURCES += src/fbxmlhandler.cpp
    SOURCES += src/fbdialog.cpp
    SOURCES += src/fblogindialog.cpp
    SOURCES += src/fbpermissiondialog.cpp
    SOURCES += src/fbstreamdialog.cpp
    SOURCES += src/fbfeeddialog.cpp
    HEADERS += inc/fbconnectglobal.h
    HEADERS += inc/fbsession.h
    HEADERS += inc/fbrequest.h
    HEADERS += inc/fbxmlhandler.h
    HEADERS += inc/fberror.h
    HEADERS += inc/fbdialog.h
    HEADERS += inc/fblogindialog.h
    HEADERS += inc/fbpermissiondialog.h
    HEADERS += inc/fbstreamdialog.h
    HEADERS += inc/fbfeeddialog.h
    RESOURCES += resource/qfbconnectimages.qrc

    symbian: {
    INCLUDEPATH += /epoc32/include/stdapis
    TARGET.EPOCALLOWDLLDATA = 1 # Symbian specific
    TARGET.UID3 = 0xA89FA521 # Symbian specific, unprotected uid3 from symbiansigned.com
    TARGET.CAPABILITY = NetworkServices # Symbian specific, we just need network access
    }

  4. #4
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: "Unable to install" problem on N8

    If you have an installation error, look at the installer related files in your project, i.e. the *.pkg files.
    You can find plenty of tips for trobleshouting install time issues at http://discussion.forum.nokia.com/fo...n-and-Security
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  5. #5
    Regular Contributor
    Join Date
    Feb 2009
    Location
    India
    Posts
    123

    Re: "Unable to install" problem on N8

    hi,,
    Below is the .pkg file created by nokia_qt_sdk i think there is some problem in .dll while installing it on device.

    One more thing while making sis file i faced some issue which was solved using below link:

    https://code.google.com/p/qfacebookc...s/detail?id=13



    ; FB_template.pkg generated by qmake at 2011-02-08T13:49:35
    ; This file is generated by qmake and should not be modified by the user
    ;

    ; Language
    &EN


    ; SIS header: name, uid, version
    #{"FB"},(0xe3bcb568),1,0,0

    ; Localised Vendor name
    %{"Vendor"}

    ; Unique Vendor name
    :"Vendor"


    ; Manual PKG pre-rules from PRO files
    ; Dependency to Qt Webkit
    (0x200267C2), 4, 6, 3, {"QtWebKit"}
    ; Default dependency to Qt libraries
    (0x2001E61C), 4, 6, 3, {"Qt"}
    ; Default HW/platform dependencies
    [0x101F7961],0,0,0,{"S60ProductID"}
    [0x102032BE],0,0,0,{"S60ProductID"}
    [0x102752AE],0,0,0,{"S60ProductID"}
    [0x1028315F],0,0,0,{"S60ProductID"}
    [0x20022E6D],0,0,0,{"S60ProductID"}


    ; Executable and default resource files
    "/NokiaQtSDK/Symbian/SDK/epoc32/release/$(PLATFORM)/$(TARGET)/FB.exe" - "!:\sys\bin\FB.exe"
    "/NokiaQtSDK/Symbian/SDK/epoc32/data/z/resource/apps/FB.rsc" - "!:\resource\apps\FB.rsc"
    "/NokiaQtSDK/Symbian/SDK/epoc32/data/z/private/10003a3f/import/apps/FB_reg.rsc" - "!:\private\10003a3f\import\apps\FB_reg.rsc"
    ; DEPLOYMENT
    "/NokiaQtSDK/Symbian/SDK/epoc32/release/$(PLATFORM)/$(TARGET)/qfacebookconnect.dll" - "!:\sys\bin\qfacebookconnect.dll"
    ; Manual PKG post-rules from PRO files
    Last edited by vishalrocks101; 2011-02-08 at 09:51.

  6. #6
    Super Contributor
    Join Date
    Mar 2008
    Posts
    1,481

    Re: "Unable to install" problem on N8

    Hi,
    You have two binaries, could you clean it manually in the SDK and rebuild and try?
    What is in your pro file (win32:LIBS += ../debug/libqfacebookconnect.a ) for Symbian? Does it affect some how building Symbian DLL?

  7. #7
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: "Unable to install" problem on N8

    The file does not look up-to-date, your UID is 0xA89FA521 and not 0xe3bcb568. But that is not necessary a problem. The problem may be that you aleady have another application installed on your device which has the qfacebookconnect.dll in the package.

    You either refactor that component (new name, new UID) or use an official release of it which is then expected to come in the form of a signed sis file to be embedded on your own.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  8. #8
    Registered User
    Join Date
    Dec 2006
    Posts
    2,280

    Re: "Unable to install" problem on N8

    At a slightly higher level than the question asked - are you also using the wrong library completely? That facebook API and the library that calls it are deprecated (and regularly broken I understand)
    The new API is implemented in this project instead:
    http://gitorious.org/qfacebook

Similar Threads

  1. WebClient : "UNABLE TO INSTALL" on the mobile E51
    By satishkatta in forum Mobile Web Server
    Replies: 3
    Last Post: 2009-03-12, 11:28
  2. "unable to install" on old firmware with VoipSettingsProv
    By tal.shahar@mobile-mx.com in forum Symbian
    Replies: 0
    Last Post: 2009-01-16, 10:49
  3. "unable to install" on 3250
    By krizsa in forum Symbian Signed Support, Application Packaging and Distribution and Security
    Replies: 7
    Last Post: 2008-11-20, 06:48
  4. "Unable to install" on some s60 handsets
    By parsa28 in forum Mobile Java General
    Replies: 8
    Last Post: 2008-10-21, 14:10
  5. "Unable to install" on S60 v3 device
    By kraja in forum Symbian
    Replies: 1
    Last Post: 2006-07-10, 15:05

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×